%define	name	perl-Digest-Nilsimsa
%define	real_name Digest-Nilsimsa
%define	version	0.06
%define	release	6mdk

Summary:	Perl interface to the Nilsima Algorithm	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/authors/id/V/VI/VIPUL/%{real_name}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{real_name}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	perl

%description
Digest-Nilsimsa module for perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%{_mandir}/*/*
%{perl_vendorarch}/auto/Digest/Nilsimsa
%{perl_vendorarch}/Digest/*


%changelog
* Thu Apr 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.06-6mdk
- rebuild for new perl

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.06-5mdk
- rebuild against new perl
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-4mdk
- rebuild for new auto{prov,req}

* Mon Sep  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.06-3mdk
- Recompiled with perl multithreaded (spotted by Ben Reser)

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.06-2mdk
- rebuild for perl 5.8.0

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.06-1mdk
- Initial Mdk package

